Bug 810747 - Needs xz-lzma-compat for lzma support.
Needs xz-lzma-compat for lzma support.
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-08 18:08 EDT by Sergio
Modified: 2012-05-15 16:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-15 16:17:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergio 2012-04-08 18:08:17 EDT
Description of problem:
file-roller needs xz-lzma-compat to open lzma compressed archives (and probably to create them as well) but that package isn't listed as a dependency.
Maybe it should?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matthias Clasen 2012-04-09 07:32:11 EDT
file-roller test.tar.xz works fine here, despite xz-lzma-compat not being installed.
Comment 2 Sergio 2012-04-09 09:26:29 EDT
I had created with file-roller in Debian sid (possibly version 3.3.9x) a tar.lzma file and I needed xz-lzma-compat to extract it in Fedora.
I opened the bug report because it's a tiny package (and I didn't find a proper mailing list to ask if it was a valid idea).
Comment 3 Matthias Clasen 2012-05-15 16:17:28 EDT
I don't really want to add a package dependency on -compat packages - you can still install it if you need it.

Note You need to log in before you can comment on or make changes to this bug.